#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		aname		%(echo %{sname} | cut -d '-' -f1)
%define		bname		%(echo %{sname} | cut -d '-' -f2)
%global		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python3-zope-testing
Version		:	5.0.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Zope Testing Framework
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.io/project

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package provides a number of testing frameworks.
It includes a flexible test runner, and supports both
doctest and unittest.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst src/zope/testing/*.txt
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/*.txt
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	setup.py					\
	test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
